Public Class CharacterSettings

	Private Sub CharacterSettings_Load(sender As Object, e As EventArgs) Handles MyBase.Load
		GenitalTypeSelector.SelectedIndex = 0 '                                         __________                                                                                ___________
		BodyShapeSelector.SelectedIndex = 0 '          \                           /   |             \                           /            |                     ^             |					 \
		BottomPrimaryColourSelector.SelectedIndex = 0 ' \                         /    |						  \                         /             |                    / \			      |						\
		BottomSecondaryColourSelector.SelectedIndex = 0 '\                       /     |						   \                       /              |                   /   \			      |						 \
		EyeColourSelector.SelectedIndex = 0 '             \                     /      |						    \                     /               |                  /     \		      |						  \
		GodTierAspectSelector.SelectedIndex = 0 '          \         ^         /       |-----				     \         ^         /                |                 /-------\		      |						   \
		GodTierClassSelector.SelectedIndex = 0 '            \       / \       /        |						      \       / \       /                 |                /         \	      |						   /
		HairColourSelector.SelectedIndex = 0 '               \     /   \     /         |						       \     /   \     /                  |               /           \	      |						  /
		HairstyleSelector.SelectedIndex = 0 '                 \   /     \   /          |						        \   /     \   /                   |              /             \      |						 /
		RaceSelector.SelectedIndex = 0 '                       \ /       \ /           |						         \ /       \ /                    |             /               \     | 				  /
		HornStyleSelector.SelectedIndex = 0 '                   V         V            |__________	          V         V                     |__________  /                 \    |__________/
	End Sub

	Dim CupSizes() As String = {"Flat", "A", "B", "C", "D", "DD", "E", "F", "G", "H"}
	Dim GenitalUsePreferencesStrings() As String = {"Strongly prefers vagina", "Prefers vagina", "Slightly prefers vagina", "Prefers both equally", "Slightly prefers penis", "Prefers penis", "Strongly prefers penis"}

	Private Sub CupSizeSlider_Scroll(sender As Object, e As EventArgs) Handles CupSizeSlider.Scroll
		CupSizeDescriptor.Text = CupSizes(CupSizeSlider.Value)
	End Sub

	Private Sub RaceSelector_SelectedIndexChanged(sender As Object, e As EventArgs) Handles RaceSelector.SelectedIndexChanged
		Dim IsHuman As Boolean = RaceSelector.SelectedItem.ToString = "Human"
		If IsHuman Then
			ToolTipSlut.SetToolTip(SkinColourSlider, "Values correspond to 1-6 on the Fitzpatrick scale.")
			SkinColourSlider.Maximum = 6
		Else
			ToolTipSlut.SetToolTip(SkinColourSlider, "Lowest: Light grey." & vbNewLine & "Highest: Dark grey.")
			SkinColourSlider.Maximum = 2
		End If
		HornStyleSelector.Enabled = Not IsHuman
	End Sub

	Private Sub GenitalUsePreferenceSlider_Scroll(sender As Object, e As EventArgs) Handles GenitalUsePreferenceSlider.Scroll
		GenitalUsePreferenceInfo.Text = GenitalUsePreferencesStrings(GenitalUsePreferenceSlider.Value)
	End Sub

	Private Sub GenitalsTab_Click(sender As Object, e As EventArgs) Handles GenitalsTab.Click, GenitalsTab.Enter
		If RaceSelector.SelectedItem = "Troll" Then
			VaginaDepthNumber.Minimum = 4
			VaginaDepthNumber.Maximum = 17
			PenisLengthNumber.Minimum = 4
			PenisLengthNumber.Maximum = 16 'wew
		Else
			VaginaDepthNumber.Minimum = 3
			VaginaDepthNumber.Maximum = 13
			PenisLengthNumber.Minimum = 3
			PenisLengthNumber.Maximum = 12
		End If
	End Sub

	Private Sub GenitalTypeDropdown_SelectedIndexChanged(sender As Object, e As EventArgs) Handles GenitalTypeSelector.SelectedIndexChanged
		VaginaOptionsHolder.Enabled = True
		PenisOptionsHolder.Enabled = True
		GenitalUsePreferenceSlider.Enabled = False
		GenitalUsePreferenceInfo.Visible = False
		If GenitalTypeSelector.SelectedItem = "Penis" Then
			VaginaOptionsHolder.Enabled = False
		ElseIf GenitalTypeSelector.SelectedItem = "Vagina" Then
			PenisOptionsHolder.Enabled = False
		Else
			GenitalUsePreferenceSlider.Enabled = True
			GenitalUsePreferenceInfo.Visible = True
		End If
	End Sub

End Class